﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" ValidateRequest="false" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>WijGrid Export</title>
<!--jQuery References-->
<script src="http://code.jquery.com/jquery-1.9.1.min.js" type="text/javascript"></script>
<script src="http://code.jquery.com/ui/1.10.1/jquery-ui.min.js" type="text/javascript"></script>
 
<!--Theme-->
<link href="http://cdn.wijmo.com/themes/aristo/jquery-wijmo.css" rel="stylesheet" type="text/css" />
 
<!--Wijmo Widgets CSS-->
<link href="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20131.7.min.css" rel="stylesheet" type="text/css" />
 
<!--Wijmo Widgets JavaScript-->
<script src="http://cdn.wijmo.com/jquery.wijmo-open.all.3.20131.7.min.js" type="text/javascript"></script>
<script src="http://cdn.wijmo.com/jquery.wijmo-pro.all.3.20131.7.min.js" type="text/javascript"></script>

    <script type="text/javascript">
        $(document).ready(function () {
           
            $("#demo").wijgrid({
                allowColSizing: true,
                allowEditing: true
            });

            $("#btnExport").click(function () {
				if ($.browser.msie) {
					var ExcelApp = new ActiveXObject("Excel.Application"),
						ExcelSheet = new ActiveXObject("Excel.Sheet"),
						columns = -1;
					ExcelSheet.Application.Visible = true;
					$('#demo tr:nth-child(1) td').each(function () {
						if ($(this).attr('colspan')) {
							columns += +$(this).attr('colspan');
						} else {
							columns++;
						}
					});
					var	i = 0, j = 0, cell = '';
					$('#demo .wijmo-wijgrid-innercell').each(function(){
						cell = $(this).text();
						ExcelSheet.ActiveSheet.Cells(j+1,i+1).Value = cell;
						i++;
						if (i > columns) {i = 0;j++}
					});
				} else {
					var htmlTable = $("#demo").parent().html();
					var url = 'data:application/vnd.ms-excel,' + encodeURIComponent(htmlTable)
					location.href = url
					return false
				}
            });
        });


        function prepareHtml() {
            $("#hiddenHtml").val($("#demo").parent().html());
        }
    </script>
</head>
<body>
    <form id="form1" runat="server">
        <div>
            <table id="demo">
                <thead>
                    <tr>
                        <th>EmployeeID</th>
                        <th>LastName</th>
                        <th>FirstName</th>
                        <th>Title</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td>1</td>
                        <td>Davolio</td>
                        <td>Nancy</td>
                        <td>Sales Representative</td>
                    </tr>
                    <tr>
                        <td>2</td>
                        <td>Fuller</td>
                        <td>Andrew</td>
                        <td>Vice President</td>
                    </tr>
                    <tr>
                        <td>3</td>
                        <td>Leverling</td>
                        <td>Janet</td>
                        <td>Sales Representative</td>
                    </tr>
                    <tr>
                        <td>4</td>
                        <td>Peacock</td>
                        <td>Margaret</td>
                        <td>Sales Representative</td>
                    </tr>
                    <tr>
                        <td>5</td>
                        <td>Buchanan</td>
                        <td>Steven</td>
                        <td>Sales Manager</td>
                    </tr>
                    <tr>
                        <td>6</td>
                        <td>Suyama</td>
                        <td>Michael</td>
                        <td>Sales Representative</td>
                    </tr>
                    <tr>
                        <td>7</td>
                        <td>King</td>
                        <td>Robert</td>
                        <td>Sales Representative</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <input id="btnExport" type="button" value="Export at Clientside" />
        <asp:HiddenField ID="hiddenHtml" runat="server" />
        <asp:Button ID="btnExportServer" runat="server" Text="Export via Server" OnClientClick="prepareHtml()" OnClick="btnExportServer_Click" />
    </form>
</body>
</html>
